# Bunny-Cli脚手架

## 💪 主要内容

### 👉 Vue模板
- 自动化路由，根据路目录自动生成路由
- 基础媒体图片如404等图片
- 采用scss样式

### 👉 Vue大屏模板
- 共四种模板，目前主流的几种大屏方案
  1. rem布局方式
  2. rem+vwvh
  3. scale缩放方案
  4. vmvh方案

### 👉 Vue后台模板模板
- 采用Gitee上开源[GuYue大屏](https://gitee.com/Y_lao/GuYue-Admin)

### 👉 Vite模板
- 和vue模板一样，同样的实现方式，只是路由不一样。

### 👉 React模板
- 未来可能会打算放弃，一个人精力有限，目前中小公司不用React还是以Vue为主。

### 👉 Java模板
- 单体架构，Maven聚合工程，将很多模块拆分

## 😀 展望未来

1. 计划Java创建微服务、Java单体架构拆分。
2. 以后所有Vue版本全部改用 vite。
3. Vue版本之后会写文档说下怎么实现动态路由，将目录下配置文件和路由文件结合。
4. 将模板中融合路由权限。
5. 修改后台模板，在新增一个后台管理。
6. 会放弃React更新，忙不过来。
